Architecture (Gradle API 8.12)
Description: declaration: package: org.gradle.platform, enum: Architecture

Package org.gradle.platform

# Enum Architecture

java.lang.Object
java.lang.Enum<Architecture>
org.gradle.platform.Architecture

All Implemented Interfaces:
  `Serializable`, `Comparable<Architecture>`, `java.lang.constant.Constable`

@Incubating public enum Architecture extends Enum<Architecture>
Constants for various processor architectures Gradle runs on.

Since:
  7.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AARCH64`
  64-bit reduced instruction set computer (RISC) architectures, including "aarch64", "arm64".
  `X86`
  32-bit complex instruction set computer (CISC) architectures, including "x32", "i386", "x86"..
  `X86_64`
  64-bit variant of the X86 instruction set, including "x64", "x86_64", "amd64", "ia64".

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Architecture`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Architecture[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### X86

    public static final Architecture X86
    32-bit complex instruction set computer (CISC) architectures, including "x32", "i386", "x86"..

  - ### X86_64

    public static final Architecture X86_64
    64-bit variant of the X86 instruction set, including "x64", "x86_64", "amd64", "ia64".

  - ### AARCH64

    public static final Architecture AARCH64
    64-bit reduced instruction set computer (RISC) architectures, including "aarch64", "arm64".

- ## Method Details

  - ### values

    public static Architecture[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Architecture valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null